package com.gh.gamecenter.common.retrofit;

import java.io.IOException;

import okhttp3.ResponseBody;

/**
 * Created by LGT on 2016/11/7.
 * String
 */
public class StringResponse extends Response<ResponseBody> {

    @Override
    public void onResponse(ResponseBody responseBody) {
        try {
            onResponse(responseBody.string());
        } catch (IOException e) {
            onError(e);
        }
    }

    public void onResponse(String response) {

    }

}
